QGIS Application - Bug report #20263

GDAL "Extract projection" not available from the processing toolbox in 3.4

2018-10-29 04:40 PM - Havard Tveite

Status: Closed

Priority: High

Assignee:

Category: Processing/GDAL

Affected QGIS version:3.4.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution:

Copied to github as #: 28084

Description

The GDAL "Extract projection” algorithm used to be available under [GDAL]-> Projections in the processing toolbox in QGIS 2.
Expected to be available under GDAL-> Raster projections in QGIS 3, but it is not in my 3.4 on Ubuntu 18.04.
The algorithm is still available as "extractprojection.py” in QGIS/python/plugins/processing/algs/gdal, and looks OK to me.

It seems to be the only missing GDAL algorithms in QGIS 3.4 compared to QGIS 2.18 here.

Associated revisions

Revision 296df2e0 - 2018-10-30 05:01 PM - Havard Tveite

Reintroduce GDAL extract projection

Fixes #20263 (when some other files are also fixed)

History

#1 - 2018-10-29 09:13 PM - Giovanni Manghi
- Regression? changed from No to Yes

- Priority changed from Normal to High

- Operating System deleted (Ubuntu 18.04)

for some reason it was commented out here:

https://github.com/qgis/QGIS/blob/release-3_4/python/plugins/processing/algs/gdal/GdalAlgorithmProvider.py

#2 - 2018-10-30 10:12 AM - Havard Tveite

| checked the code (extractprojection.py), and found that it had not been completely adapted to QGIS 3.

I tried to fix it, but got stuck when | found that GetGeoTransform() is no longer available

in QgsRasterLayer. The result of GetGeoTransform is used directly to create the world file.

In QGIS 3 GetGeoTransform seems only to be available for gdal datasources.

Using the source returned from gdal.Open works. | may be able to create a pull request.

#3 - 2018-11-01 04:26 PM - Havard Tveite

Pull request: https://github.com/qgis/QGIS/pull/8378
https://github.com/qgis/QGIS/blob/release-3_4/python/plugins/processing/algs/gdal/GdalAlgorithmProvider.py
https://github.com/qgis/QGIS/pull/8378

#4 - 2018-11-01 09:27 PM - Giovanni Manghi
- Pull Request or Patch supplied changed from No to Yes

#5 - 2018-11-11 11:48 AM - Havard Tveite

- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|296df2e00c88ecac200ffd9cc364eb97a0063482.
